<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="LAB 9">
    <meta name="author" content="Tugas 2 PPW">

    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <style>
        .rata-tengah {
            text-align: center;
            margin : 20px;
        }
        .judul {
            text-transform:uppercase;
            margin-bottom: 50px;
            margin-top: 50px;
        }
    </style>
    <title>
        {% block title %} Edit Profile {% endblock %}
    </title>
</head>
<style>

.image_sso{
  height: 40px;
  width: 40px;
  padding-top: 10px;
  padding-right: 5px;
  padding-left: 5px;
}
  
#batas{
  padding: 10px;
}
</style>
<nav class="navbar navbar-default navbar-static-top">
    <div class="container-header">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand">Edit Profile</a>
        </div>
        {% if login %}
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav nav-right pull-right">
            <li><a>{{nama_identitas}}</a></li>
            <li><img src='http://freevector.co/wp-content/uploads/2012/07/59170-user-filled-person-shape.png' class='image_sso'></li>
            <li><a href="{% url 'tugas2_loginstatus:auth_logout' %}" onclick="return confirm('Keluar?')">Logout</a></li>
          </ul>
        </div>
        {% endif %}
    </div>
</nav>

<div class="panel-footer">
    {% csrf_token %}
    <a class="btn btn-danger pull-left" onclick='funcSave()'>
            Simpan </a> 
    <a id='batas'></a>
    <a href="{% url 'index' %}" class="btn btn-danger pull-right" onclick="return confirm('Discard Changes?')">
            Keluar </a>
</div>

<div class="container">
	<div class="row">
      <!-- left column -->
      <div class="col-md-6" align="center">
        <!-- sign in with linkedin button -->
        <script type="in/Login"></script>
        <div class="text-left">
          <!-- display profile info -->
          <div id="profileData" style="display: none;">
          <div class="info">
          <p id="name"></p>
          <p id="email"></p>
          <p id="link"></p>
        </div>
      </div>
  </div>
  <div class="keahlian-baru">
    {% csrf_token %}
    <label for="keahlian">Pilih keahlian:</label>
        <select name="keahlian" id="keahlianNew" data-id="{{forloop.counter}}">
        <option value="0">Java</option>
        <option value="1">C#</option>
        <option value="2" >Python</option>
        <option value="3">Erlang</option>
        <option value="4">Kotlin</option>
    </select>
    <label for="level">Level keahlian:</label>
        <select name="level" id="levelNew">
        <option value="0">Beginner</option>
        <option value="1">Intermediate</option>
        <option value="2" >Expert</option>
        <option value="3">Legend</option>
    </select>
    <button class="button_submit w3-button" onclick="buttonFunc()">Tambah keahlian</button>
  </div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script type="text/javascript" src="//platform.linkedin.com/in.js">
    api_key: 81lwa1bxxr4ii5
    authorize: true
    onLoad: onLinkedInLoad
    scope: r_basicprofile r_emailaddress
</script>

<script type="text/javascript">
    // Setup an event listener to make an API call once auth is complete
    function onLinkedInLoad() {
        IN.Event.on(IN, "auth", getProfileData);
    }
    
    // Use the API call wrapper to request the member's profile data
    function getProfileData() {
        IN.API.Profile("me").fields("id", "first-name", "last-name", "headline", "location", "picture-url", "public-profile-url", "email-address").result(displayProfileData).error(onError);
    }

    // Handle the successful return from the API call
    function displayProfileData(data){
        var user = data.values[0];
        var obj = JSON.stringify(data.values[0]);
        sessionStorage.setItem("data", obj);
        document.getElementById("name").innerHTML =  'Username: ' + user.firstName+' '+user.lastName;
        document.getElementById("email").innerHTML = 'Email: ' + user.emailAddress;
        var publicProfileUrl = user.publicProfileUrl
        document.getElementById("link").innerHTML = '<a href="'+user.publicProfileUrl+'" target="_blank">Profile LinkedIn: '+publicProfileUrl+'</a>';
        document.getElementById('profileData').style.display = 'block';
    }

    // Handle an error response from the API call
    function onError(error) {
        console.log(error);
    }
    
    // Destroy the session of linkedin
    function logout(){
        IN.User.logout(removeProfileData);
    }
    
    // Remove profile data from page
    function removeProfileData(){
        document.getElementById('profileData').remove();
    }

    function funcSave(){
      console.log("success");
      var data = sessionStorage.getItem("data");
      var obj = JSON.parse(data);
      var dataSkills = sessionStorage.getItem("skills");
      var obj2 = JSON.parse(dataSkills);
      try{
        insertDatabase(obj.firstName,obj.lastName,obj.emailAddress,obj.publicProfileUrl,obj2.id_skill,obj2.id_level);
        window.location.href = '{% url "index" %}';
      } catch(TypeError){
        alert("Ada yang belum diisi!");
      }
    };

    var insertDatabase = function(firstName,lastName,email,profileUrl,id_skill,id_level) {
        $.ajax({
            method: "POST",
            url: '/mahasiswa/profile/save_database/',
            data: {
              firstName: firstName,
              lastName: lastName,
              email: email,
              profileUrl: profileUrl
            },
            success : function (user) {
                console.log(user);
            },
            error : function (error) {
                console.log(error);
            }
        });
        $.ajax({
            method: "POST",
            url: '/mahasiswa/profile/add_keahlian/',
            data: {
              id_skill: id_skill,
              id_level: id_level
            },
            success : function (user) {
                console.log(user);
            },
            error : function (error) {
                console.log(error);
            }
        });
    };

    function buttonFunc(){
      var id_skill = $("#keahlianNew").val();
      var id_level = $("#levelNew").val();
      var data = {'id_skill' : id_skill, 'id_level' : id_level};
      var obj = JSON.stringify(data);
      sessionStorage.setItem("skills", obj);
      console.log(id_skill);
      console.log(id_level);
    };

</script>